Package org.kapott.hbci.sepa.jaxb.pain_001_001_03

## Class PaymentInstructionInformationSCT

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_03.PaymentInstructionInformationSCT

    public class PaymentInstructionInformationSCT
    extends java.lang.Object

Java class for PaymentInstructionInformationSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentInstructionInformationSCT">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}RestrictedIdentificationSEPA1"/>
             <element name="PmtMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}PaymentMethodSCTCode"/>
             <element name="BtchBookg" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}BatchBookingIndicator" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}Max15NumericText" minOccurs="0"/>
             <element name="CtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}DecimalNumber" minOccurs="0"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}PaymentTypeInformationSCT1" minOccurs="0"/>
             <element name="ReqdExctnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}ISODate"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}PartyIdentificationSEPA2"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}CashAccountSEPA1"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}BranchAndFinancialInstitutionIdentificationSEPA3"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}PartyIdentificationSEPA1" minOccurs="0"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}ChargeBearerTypeSEPACode" minOccurs="0"/>
             <element name="CdtTrfTxInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}CreditTransferTransactionInformationSCT" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.Boolean` `btchBookg`
`protected java.util.List<CreditTransferTransactionInformationSCT>` `cdtTrfTxInf`
`protected ChargeBearerTypeSEPACode` `chrgBr`
`protected java.math.BigDecimal` `ctrlSum`
`protected PartyIdentificationSEPA2` `dbtr`
`protected CashAccountSEPA1` `dbtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSEPA3` `dbtrAgt`
`protected java.lang.String` `nbOfTxs`
`protected java.lang.String` `pmtInfId`
`protected PaymentMethodSCTCode` `pmtMtd`
`protected PaymentTypeInformationSCT1` `pmtTpInf`
`protected javax.xml.datatype.XMLGregorianCalendar` `reqdExctnDt`
`protected PartyIdentificationSEPA1` `ultmtDbtr`

### Constructor Summary

Constructors
`PaymentInstructionInformationSCT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<CreditTransferTransactionInformationSCT>` `getCdtTrfTxInf()` Gets the value of the cdtTrfTxInf property.
`ChargeBearerTypeSEPACode` `getChrgBr()` Gets the value of the chrgBr property.
`java.math.BigDecimal` `getCtrlSum()` Gets the value of the ctrlSum property.
`PartyIdentificationSEPA2` `getDbtr()` Gets the value of the dbtr property.
`CashAccountSEPA1` `getDbtrAcct()` Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentificationSEPA3` `getDbtrAgt()` Gets the value of the dbtrAgt property.
`java.lang.String` `getNbOfTxs()` Gets the value of the nbOfTxs property.
`java.lang.String` `getPmtInfId()` Gets the value of the pmtInfId property.
`PaymentMethodSCTCode` `getPmtMtd()` Gets the value of the pmtMtd property.
`PaymentTypeInformationSCT1` `getPmtTpInf()` Gets the value of the pmtTpInf property.
`javax.xml.datatype.XMLGregorianCalendar` `getReqdExctnDt()` Gets the value of the reqdExctnDt property.
`PartyIdentificationSEPA1` `getUltmtDbtr()` Gets the value of the ultmtDbtr property.
`java.lang.Boolean` `isBtchBookg()` Gets the value of the btchBookg property.
`void` `setBtchBookg​(java.lang.Boolean value)` Sets the value of the btchBookg property.
`void` `setChrgBr​(ChargeBearerTypeSEPACode value)` Sets the value of the chrgBr property.
`void` `setCtrlSum​(java.math.BigDecimal value)` Sets the value of the ctrlSum property.
`void` `setDbtr​(PartyIdentificationSEPA2 value)` Sets the value of the dbtr property.
`void` `setDbtrAcct​(CashAccountSEPA1 value)` Sets the value of the dbtrAcct property.
`void` `setDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA3 value)` Sets the value of the dbtrAgt property.
`void` `setNbOfTxs​(java.lang.String value)` Sets the value of the nbOfTxs property.
`void` `setPmtInfId​(java.lang.String value)` Sets the value of the pmtInfId property.
`void` `setPmtMtd​(PaymentMethodSCTCode value)` Sets the value of the pmtMtd property.
`void` `setPmtTpInf​(PaymentTypeInformationSCT1 value)` Sets the value of the pmtTpInf property.
`void` `setReqdExctnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the reqdExctnDt property.
`void` `setUltmtDbtr​(PartyIdentificationSEPA1 value)` Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtInfId

    protected java.lang.String pmtInfId

#### pmtMtd

    protected PaymentMethodSCTCode pmtMtd

#### btchBookg

    protected java.lang.Boolean btchBookg

#### nbOfTxs

    protected java.lang.String nbOfTxs

#### ctrlSum

    protected java.math.BigDecimal ctrlSum

#### pmtTpInf

    protected PaymentTypeInformationSCT1 pmtTpInf

#### reqdExctnDt

    protected javax.xml.datatype.XMLGregorianCalendar reqdExctnDt

#### dbtr

    protected PartyIdentificationSEPA2 dbtr

#### dbtrAcct

    protected CashAccountSEPA1 dbtrAcct

#### dbtrAgt

    protected BranchAndFinancialInstitutionIdentificationSEPA3 dbtrAgt

#### ultmtDbtr

    protected PartyIdentificationSEPA1 ultmtDbtr

#### chrgBr

    protected ChargeBearerTypeSEPACode chrgBr

#### cdtTrfTxInf

    protected java.util.List<CreditTransferTransactionInformationSCT> cdtTrfTxInf

### Constructor Detail

#### PaymentInstructionInformationSCT

    public PaymentInstructionInformationSCT()

### Method Detail

#### getPmtInfId

    public java.lang.String getPmtInfId()

Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

#### setPmtInfId

    public void setPmtInfId​(java.lang.String value)

Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getPmtMtd

    public PaymentMethodSCTCode getPmtMtd()

Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethodSCTCode`

#### setPmtMtd

    public void setPmtMtd​(PaymentMethodSCTCode value)

Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethodSCTCode`

#### isBtchBookg

    public java.lang.Boolean isBtchBookg()

Gets the value of the btchBookg property.

Returns:
  possible object is `Boolean`

#### setBtchBookg

    public void setBtchBookg​(java.lang.Boolean value)

Sets the value of the btchBookg property.

Parameters:
  `value` - allowed object is `Boolean`

#### getNbOfTxs

    public java.lang.String getNbOfTxs()

Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

#### setNbOfTxs

    public void setNbOfTxs​(java.lang.String value)

Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getCtrlSum

    public java.math.BigDecimal getCtrlSum()

Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

#### setCtrlSum

    public void setCtrlSum​(java.math.BigDecimal value)

Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getPmtTpInf

    public PaymentTypeInformationSCT1 getPmtTpInf()

Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformationSCT1`

#### setPmtTpInf

    public void setPmtTpInf​(PaymentTypeInformationSCT1 value)

Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformationSCT1`

#### getReqdExctnDt

    public javax.xml.datatype.XMLGregorianCalendar getReqdExctnDt()

Gets the value of the reqdExctnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setReqdExctnDt

    public void setReqdExctnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the reqdExctnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getDbtr

    public PartyIdentificationSEPA2 getDbtr()

Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentificationSEPA2`

#### setDbtr

    public void setDbtr​(PartyIdentificationSEPA2 value)

Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA2`

#### getDbtrAcct

    public CashAccountSEPA1 getDbtrAcct()

Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccountSEPA1`

#### setDbtrAcct

    public void setDbtrAcct​(CashAccountSEPA1 value)

Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSEPA1`

#### getDbtrAgt

    public BranchAndFinancialInstitutionIdentificationSEPA3 getDbtrAgt()

Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA3`

#### setDbtrAgt

    public void setDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA3 value)

Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA3`

#### getUltmtDbtr

    public PartyIdentificationSEPA1 getUltmtDbtr()

Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

#### setUltmtDbtr

    public void setUltmtDbtr​(PartyIdentificationSEPA1 value)

Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`

#### getChrgBr

    public ChargeBearerTypeSEPACode getChrgBr()

Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerTypeSEPACode`

#### setChrgBr

    public void setChrgBr​(ChargeBearerTypeSEPACode value)

Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerTypeSEPACode`

#### getCdtTrfTxInf

    public java.util.List<CreditTransferTransactionInformationSCT> getCdtTrfTxInf()

Gets the value of the cdtTrfTxInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cdtTrfTxInf property.

For example, to add a new item, do as follows:

        getCdtTrfTxInf().add(newItem);

Objects of the following type(s) are allowed in the list `CreditTransferTransactionInformationSCT`